<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use Modules\Supplier\Http\Controllers\SupplierController;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/


Route::get('/suppliers',[SupplierController::class,'suppliersList']);
Route::get('/cheques/suppliers',[SupplierController::class,'chequeSuppliersList']);
Route::post('/add/supplier',[SupplierController::class,'addSupplier']);
Route::delete('/delete/supplier/{id}',[SupplierController::class,'deleteSupplier']);
Route::get('/supplier/{id}',[SupplierController::class,'showSupplier']);